/*
Création  : 16/03/2013
Révision : 25/01/2017
----------------------------------------------------------------------------------
IDE : Visual Studio Code
----------------------------------------------------------------------------------
Projet : Domotique (Animation du déplacement d'un volet roulant)
Version : 1a
Fichier : voletV1a.js
--------------------------------------------------------------------------------
Commentaires : A chaque action sur un bouton, le volet se lève ou se baisse
(quatre positions)
--------------------------------------------------------------------------------
Remarques : PB Lors de chaque transition, l'image du volet disparait brièvement
dans Opéra et chrome. Fonctionnement correct dans Mozilla.
*/

$(document).ready(function () {
	// Déclaration des variables
	$ClickBouton = 0; // Comptabilise le nombre de clic sur les boutons

	// Commande de la fermeture du volet
	// ------------------------------------------------------------------------------
	$("#Fermer").click(function (event) {
		// Calcul de la consigne de position des volets
		$ClickBouton = $ClickBouton + 1;

		// alert ($ClickBouton); // Visualisation de la variable pour le test								
		if ($ClickBouton == 1) {
			$("#volet").html('<img src="images/volet25.gif" width= "203" height= "252">');
			$("#volet").show();
		}
		else if ($ClickBouton == 2) {
			$("#volet").html('<img src="images/volet50.gif" width= "203" height= "252">');
		}
		else if ($ClickBouton == 3) {
			$("#volet").html('<img src="images/volet75.gif" width= "203" height= "252">');
		}
		else if ($ClickBouton == 4) {
			$("#volet").html('<img src="images/volet100.gif" width= "203" height= "252">');
		}
		else { }
		// On force 0 <= $ClickBouton <= 4
		if ($ClickBouton > 4) {
			$ClickBouton = 4;
		} else if ($ClickBouton < 0) {
			$ClickBouton = 0;
		}
		else { }
		// alert ($ClickBouton); // Visualisation de la variable pour le test
	});


	// Commande de l'ouverture du volet
	// ------------------------------------------------------------------------------
	$("#Ouvrir").click(function (event) {
		// Calcul de la consigne de position des volets
		$ClickBouton = $ClickBouton - 1;
		// alert ($ClickBouton); // Visualisation de la variable pour le test

		if ($ClickBouton == 0) {
			$("#volet").hide();
		}
		else if ($ClickBouton == 1) {
			$("#volet").html('<img src="images/volet25.gif" width= "203" height= "252">');
		}
		else if ($ClickBouton == 2) {
			$("#volet").html('<img src="images/volet50.gif" width= "203" height= "252">');
		}
		else if ($ClickBouton == 3) {
			$("#volet").html('<img src="images/volet75.gif" width= "203" height= "252">');
		}
		else { }
		// On force 0 <= $ClickBouton <= 4
		if ($ClickBouton < 0) { $ClickBouton = 0; } else if ($ClickBouton > 4) { $ClickBouton = 4; }
		// alert ($ClickBouton); // Visualisation de la variable pour le test
	});
});